//+------------------------------------------------------------------+
//|                        Bars with Ask                             |
//+------------------------------------------------------------------+
#property  indicator_chart_window
#property  indicator_buffers 2
#property  indicator_color1  Blue //  1
#property  indicator_color2  Blue //  2
#property  indicator_width1  5 //  1- 
#property  indicator_width2  5 //  2- 
double _Ask[],_Bid[];
double Spread;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
  SetIndexStyle(0,DRAW_HISTOGRAM);                  // 
  SetIndexBuffer(0,_Ask);
  SetIndexStyle(1,DRAW_HISTOGRAM);                  // 
  SetIndexBuffer(1,_Bid);
  
  Spread=MarketInfo(Symbol(),MODE_SPREAD)*Point;
  return(0);
}
 
int start()
{
  int i,counted_bars=IndicatorCounted();
 
  if(counted_bars==0)
  {
    for(i=Bars; i>0; i--)
    {
      _Bid[i]=Close[i];
      _Ask[i]=Close[i]+Spread;
    }
  }
 
  _Ask[0]=Ask; _Bid[0]=Bid;
 
 //Comment("High DAY",MarketInfo(Symbol(),MODE_HIGH),"\n","Low DAY",MarketInfo(Symbol(),MODE_LOW));
 return(0);
}