//+------------------------------------------------------------------+
//|                                                     Trailing.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                         http://forum.fxexpert.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://forum.fxexpert.ru"
extern int TrailingStop=15; //        ( ) 
extern int Step=5; //    ( )

extern bool Log=false; //  ()
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- 
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//---- 
   for(int cnt=0;cnt<OrdersTotal();cnt++)
   {
      OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
      if(OrderType( ) == OP_BUY)
      {
         if (OrderProfit()>=OrderLots()*TrailingStop*Point)
         {
            if ((OrderStopLoss()< Bid - (TrailingStop + Step - 1) * Point) || (OrderStopLoss() == 0))
            {  
               OrderModify(OrderTicket(), OrderOpenPrice(), Bid - TrailingStop * Point, OrderTakeProfit(),0,Red);
               if (Log) Print("trailing BUY - ",OrderTicket(), " price=", Bid - TrailingStop * Point);
               return(0);
            }
         }   
      } 
      if(OrderSymbol()==Symbol() && OrderType()==OP_SELL)
      { 
         if (OrderProfit()>=OrderLots()*TrailingStop*Point)
         {
            if ((OrderStopLoss()> Ask + (TrailingStop + Step - 1) * Point) || (OrderStopLoss() == 0))
            {
               OrderModify(OrderTicket(), OrderOpenPrice(), Ask + TrailingStop * Point, OrderTakeProfit(),0,Red);
               if (Log) Print("trailing BUY - ",OrderTicket(), " price=", Ask + TrailingStop * Point);
               return(0);
            }   
         }
      }
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+