//+------------------------------------------------------------------+
//|                                                  Dolly_LINES.mq4 |
//+------------------------------------------------------------------+
#property copyright "cja"

#property indicator_chart_window
extern bool Show_Line_Labels = true;
extern int  LineLength = 35; 

extern string IIIIIIIIIIIII="<<< Pivot Dolly Lines >>>>>"; 
extern int BUY_Area =20;
extern int SELL_Area = 20;
extern int BUY2_Area =40;
extern int SELL2_Area = 40;
extern string IIIIIIIIIIIIII="<<< Open Dolly Lines >>>>>"; 
extern int BUYO_Area =20;
extern int SELLO_Area = 20;
extern int BUY2O_Area =40;
extern int SELL2O_Area = 40;

extern string IIIIIIIIIIIIIII="<<< Pivot Lines >>>>>"; 

#define Pivot "Pivot"
extern color Pivot_Color = Silver;
extern int Pivot_width = 2;

#define BUY1 "BUY1"
extern color BUY1_Color = DodgerBlue;
extern int BUY1_width = 1;
extern int BUY1_Line_Type = 0;
#define SELL1 "SELL1"
extern color SELL1_Color = Orange;
extern int SELL1_width = 1;
extern int SELL1_Line_Type = 0;

#define BUY2 "BUY2"
extern color BUY2_Color = DodgerBlue;
extern int BUY2_width = 1;
extern int BUY2_Line_Type = 0;
#define SELL2 "SELL2"
extern color SELL2_Color = Orange;
extern int SELL2_width = 1;
extern int SELL2_Line_Type = 0;
extern string IIIIIIIIIIIIIIII="<<< Open Lines >>>>>"; 

#define Open. "Open."
extern color Open_Color = Gold;
extern int Open_width = 2;

#define BUY1O "BUY1O"
extern color BUY1O_Color = Blue;
extern int BUY1O_width = 1;
extern int BUY1O_Line_Type = 0;
#define SELL1O "SELL1O"
extern color SELL1O_Color = Red;
extern int SELL1O_width = 1;
extern int SELL1O_Line_Type = 0;

#define BUY2O "BUY2O"
extern color BUY2O_Color = Blue;
extern int BUY2O_width = 1;
extern int BUY2O_Line_Type = 0;
#define SELL2O "SELL2O"
extern color SELL2O_Color = Red;
extern int SELL2O_width = 1;
extern int SELL2O_Line_Type = 0;

int CurPeriod = 0;
extern string IIIIIIIIIIIIIIIII="<<< BackDate Dolly Lines >>>>>"; 

extern int BACK_Date = 0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
IndicatorShortName("Dolly_LINES");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
    ObjectDelete("Pivot_Label");ObjectDelete("Open_Label");ObjectDelete("Buy_Label");
    ObjectDelete("Buy2_Label");ObjectDelete("Sell_Label");ObjectDelete("Sell2_Label");
    ObjectDelete("Buy_Label_Open");ObjectDelete("Buy2_Label_Open");
    ObjectDelete("Sell_Label_Open");ObjectDelete("Sell2_Label_Open");
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars= IndicatorCounted(); 
   
//----
   CreatePVT();
}

void CreateLine(string Line, double start, double end,double w, double s,color clr)
  {
   ObjectCreate(Line, OBJ_TRENDBYANGLE, 0, iTime(NULL,CurPeriod,LineLength), start, Time[0],w,s, end);
   ObjectSet(Line, OBJPROP_COLOR, clr);
   ObjectSet(Line,OBJPROP_RAY,false);
   ObjectSet(Line,OBJPROP_WIDTH,w);
   ObjectSet(Line,OBJPROP_STYLE,s);
     }
        void DeleteLine()
   { 
  ObjectDelete(BUY1); ObjectDelete(SELL1);ObjectDelete(Pivot);
  ObjectDelete(BUY2); ObjectDelete(SELL2);
  ObjectDelete(BUY1O); ObjectDelete(SELL1O);ObjectDelete(Open.);
  ObjectDelete(BUY2O); ObjectDelete(SELL2O);
   }
   void CreatePVT()
   {
    DeleteLine();
     
          
    double P = (iHigh(NULL,1440,BACK_Date+1) + iLow(NULL,1440,BACK_Date+1) + iClose(NULL,1440,BACK_Date+1)) / 3;  
    double O = iOpen(NULL,1440,BACK_Date);
    double	B1 = P + BUY_Area* Point; 
	 double	S1 = P - SELL_Area * Point; 
	 double	B2 = P + BUY2_Area* Point; 
	 double	S2 = P - SELL2_Area * Point; 
	 
	 double	B1O = O + BUYO_Area* Point; 
	 double	S1O = O - SELLO_Area * Point; 
	 double	B2O = O + BUY2O_Area* Point; 
	 double	S2O = O - SELL2O_Area * Point; 
	 
	  CreateLine(Pivot,P,P,Pivot_width,0,Pivot_Color);
	  CreateLine(Open.,O,O,Open_width,0,Open_Color);
	  
	   
	  
         CreateLine(BUY1,B1,B1,BUY1_width,BUY1_Line_Type,BUY1_Color );
         CreateLine(SELL1,S1,S1,SELL1_width,SELL1_Line_Type, SELL1_Color );
         CreateLine(BUY2,B2,B2,BUY2_width,BUY2_Line_Type,BUY2_Color );
         CreateLine(SELL2,S2,S2,SELL2_width,SELL2_Line_Type, SELL2_Color );
         
         CreateLine(BUY1O,B1O,B1O,BUY1O_width,BUY1O_Line_Type,BUY1O_Color );
         CreateLine(SELL1O,S1O,S1O,SELL1O_width,SELL1O_Line_Type, SELL1O_Color );
         CreateLine(BUY2O,B2O,B2O,BUY2O_width,BUY2O_Line_Type,BUY2O_Color );
         CreateLine(SELL2O,S2O,S2O,SELL2O_width,SELL2O_Line_Type, SELL2O_Color );
        
        
        if(Show_Line_Labels==true){ 
           //Pivot
        ObjectDelete("Pivot_Label");
      if(ObjectFind("Pivot_Label") != 0)
    {  ObjectCreate("Pivot_Label", OBJ_TEXT, 0, Time[0], P);
       ObjectSetText("Pivot_Label", "                                    PIVOT "+ DoubleToStr(P,Digits)+"", 8, "Arial",Pivot_Color);
       } else{ ObjectMove("Pivot_Label", 0, Time[0], P); }
         //Open
        ObjectDelete("Open_Label");
      if(ObjectFind("Open_Label") != 0)
    {  ObjectCreate("Open_Label", OBJ_TEXT, 0, Time[0], O);
       ObjectSetText("Open_Label", "                                   OPEN "+ DoubleToStr(O,Digits)+"", 8, "Arial",Open_Color);
      } else{ ObjectMove("Open_Label", 0, Time[0], O); }
    
    //Pivot labels
         ObjectDelete("Buy_Label");
      if(ObjectFind("Buy_Label") != 0)
    {  ObjectCreate("Buy_Label", OBJ_TEXT, 0, Time[0], B1);
       ObjectSetText("Buy_Label", "                             B1 "+ DoubleToStr(B1,Digits)+"", 8, "Arial",BUY1_Color);
      } else{ ObjectMove("Buy_Label", 0, Time[0], B1); }
    
        ObjectDelete("Buy2_Label");
      if(ObjectFind("Buy2_Label") != 0)
    {  ObjectCreate("Buy2_Label", OBJ_TEXT, 0, Time[0], B2);
       ObjectSetText("Buy2_Label", "                             B2 "+ DoubleToStr(B2,Digits)+"", 8, "Arial",BUY2_Color);
      } else{ ObjectMove("Buy2_Label", 0, Time[0], B2); }
      
	       ObjectDelete("Sell_Label");
      if(ObjectFind("Sell_Label") != 0)
    {  ObjectCreate("Sell_Label", OBJ_TEXT, 0, Time[0], S1);
       ObjectSetText("Sell_Label", "                             S1 "+ DoubleToStr(S1,Digits)+"", 8, "Arial",SELL1_Color);
      } else{ ObjectMove("Sell_Label", 0, Time[0], S1); }
    
        ObjectDelete("Sell2_Label");
      if(ObjectFind("Sell2_Label") != 0)
    {  ObjectCreate("Sell2_Label", OBJ_TEXT, 0, Time[0], S2);
       ObjectSetText("Sell2_Label", "                             S2 "+ DoubleToStr(S2,Digits)+"", 8, "Arial",SELL2_Color);
      } else{ ObjectMove("Sell2_Label", 0, Time[0], S2); }		
   
   
    //Open labels
         ObjectDelete("Buy_Label_Open");
      if(ObjectFind("Buy_Label_Open") != 0)
    {  ObjectCreate("Buy_Label_Open", OBJ_TEXT, 0, Time[0], B1O);
       ObjectSetText("Buy_Label_Open", "                             B1 "+ DoubleToStr(B1O,Digits)+"", 8, "Arial",BUY1O_Color);
      } else{ ObjectMove("Buy_Label_Open", 0, Time[0], B1O); }
    
        ObjectDelete("Buy2_Label_Open");
      if(ObjectFind("Buy2_Label_Open") != 0)
    {  ObjectCreate("Buy2_Label_Open", OBJ_TEXT, 0, Time[0], B2O);
       ObjectSetText("Buy2_Label_Open", "                             B2 "+ DoubleToStr(B2O,Digits)+"", 8, "Arial",BUY2O_Color);
      } else{ ObjectMove("Buy2_Label_Open", 0, Time[0], B2O); }
      
	       ObjectDelete("Sell_Label_Open");
      if(ObjectFind("Sell_Label_Open") != 0)
    {  ObjectCreate("Sell_Label_Open", OBJ_TEXT, 0, Time[0], S1O);
       ObjectSetText("Sell_Label_Open", "                             S1 "+ DoubleToStr(S1O,Digits)+"", 8, "Arial",SELL1O_Color);
      } else{ ObjectMove("Sell_Label_Open", 0, Time[0], S1O); }
    
        ObjectDelete("Sell2_Label_Open");
      if(ObjectFind("Sell2_Label_Open") != 0)
    {  ObjectCreate("Sell2_Label_Open", OBJ_TEXT, 0, Time[0], S2O);
       ObjectSetText("Sell2_Label_Open", "                             S2 "+ DoubleToStr(S2O,Digits)+"", 8, "Arial",SELL2O_Color);
      } else{ ObjectMove("Sell2_Label_Open", 0, Time[0], S2O); }
      }		
   
//----
   return(0);
  }
//+------------------------------------------------------------------+